Loggly
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Loggly action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Loggly notification",
"type": "LOGGLY",
"trigger_time": "ON_EVERY_EXECUTION",
"variables": [
{
"key": "tag",
"value": "customTag"
}
],
"integration": {
"identifier": "loggly"
},
"tags": [
"buddy",
"${BUDDY_WORKSPACE_DOMAIN}",
"${BUDDY_PROJECT_NAME}",
"${BUDDY_PIPELINE_NAME}",
"${tag}"
],
"content": "Notification content"
}'STATUS200 OK